package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class RepairServiceDto  implements Serializable {
    private Long id;
    private String s_no;
    private Byte status;//维修单状态(1,已处理 0待处理)
    private String repair_username;//'报修人',
    private Long repair_user_id;//'报修人ID',
    private String repair_phone;//'电话',
    private String company_name;//'公司',
    private String remarks;//'描述',
    private String build_name;// '楼栋名称',
    private String build_floor;//'楼层',
    private String build_room;// '房间号',
    private Long build_id;//'楼栋ID',
    private String pic_url;//图片
    private Byte source_type;// 下单源(1，PC；2，微信；3，Android；4，iOS),
    private BigDecimal repair_amount;// '维修费用',
    private Date status_date;//状态时间
    private Long created_by;//创建人ID
    private Date created_at;//创建时间
    private String created_at_str;//创建时间
    private Long updated_by;//更新人ID
    private String updated_by_name;
    private Date updated_at;//更新时间
    private String updated_at_str;//更新时间
    private String status_at_str;//状态时间
    private String orgTel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getS_no() {
        return s_no;
    }

    public void setS_no(String s_no) {
        this.s_no = s_no;
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public String getRepair_username() {
        return repair_username;
    }

    public void setRepair_username(String repair_username) {
        this.repair_username = repair_username;
    }

    public Long getRepair_user_id() {
        return repair_user_id;
    }

    public void setRepair_user_id(Long repair_user_id) {
        this.repair_user_id = repair_user_id;
    }

    public String getRepair_phone() {
        return repair_phone;
    }

    public void setRepair_phone(String repair_phone) {
        this.repair_phone = repair_phone;
    }

    public String getCompany_name() {
        return company_name;
    }

    public void setCompany_name(String company_name) {
        this.company_name = company_name;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getBuild_name() {
        return build_name;
    }

    public void setBuild_name(String build_name) {
        this.build_name = build_name;
    }

    public String getBuild_floor() {
        return build_floor;
    }

    public void setBuild_floor(String build_floor) {
        this.build_floor = build_floor;
    }

    public String getBuild_room() {
        return build_room;
    }

    public void setBuild_room(String build_room) {
        this.build_room = build_room;
    }

    public Long getBuild_id() {
        return build_id;
    }

    public void setBuild_id(Long build_id) {
        this.build_id = build_id;
    }

    public String getPic_url() {
        return pic_url;
    }

    public void setPic_url(String pic_url) {
        this.pic_url = pic_url;
    }

    public Byte getSource_type() {
        return source_type;
    }

    public void setSource_type(Byte source_type) {
        this.source_type = source_type;
    }

    public BigDecimal getRepair_amount() {
        return repair_amount;
    }

    public void setRepair_amount(BigDecimal repair_amount) {
        this.repair_amount = repair_amount;
    }

    public Date getStatus_date() {
        return status_date;
    }

    public void setStatus_date(Date status_date) {
        this.status_date = status_date;
    }

    public Long getCreated_by() {
        return created_by;
    }

    public void setCreated_by(Long created_by) {
        this.created_by = created_by;
    }

    public Date getCreated_at() {
        return created_at;
    }

    public void setCreated_at(Date created_at) {
        this.created_at = created_at;
    }

    public String getCreated_at_str() {
        return created_at_str;
    }

    public void setCreated_at_str(String created_at_str) {
        this.created_at_str = created_at_str;
    }

    public Long getUpdated_by() {
        return updated_by;
    }

    public void setUpdated_by(Long updated_by) {
        this.updated_by = updated_by;
    }

    public Date getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(Date updated_at) {
        this.updated_at = updated_at;
    }

    public String getUpdated_at_str() {
        return updated_at_str;
    }

    public void setUpdated_at_str(String updated_at_str) {
        this.updated_at_str = updated_at_str;
    }

    public String getUpdated_by_name() {
        return updated_by_name;
    }

    public void setUpdated_by_name(String updated_by_name) {
        this.updated_by_name = updated_by_name;
    }

	public String getOrgTel() {
		return orgTel;
	}

	public void setOrgTel(String orgTel) {
		this.orgTel = orgTel;
	}

	public String getStatus_at_str() {
		return status_at_str;
	}

	public void setStatus_at_str(String status_at_str) {
		this.status_at_str = status_at_str;
	}
    
    
}
